# Contributing

We love contributions from everyone. Please open a issue for discussion or raise a
pull request with the changes you need in the package.

## Contributing Code
To start contributing to the package. We should follow following steps.

- Fork the repository first to your GitHub account.
- Install all package dependencies by executing `yarn/npm install` in your console.
- Add test cases for the changes made in the pull request. Make sure they are passing by running `yarn/npm test`.
- Update documentation for the changes made if needed.
- Add a simple story to demonstrate the change for the end user if needed.
- Add a changelog for the new feature or fixes.

Push to your fork. Write a [good commit message][commit]. Submit a pull request.

  [commit]: http://tbaggery.com/2008/04/19/a-note-about-git-commit-messages.html

Please do not self reject your thoughts. Let's discuss even smallest feature request as well and make
this package better for everybody's use.
